#ifndef ONEDIMENSIONNEWTON_H
#define ONEDIMENSIONNEWTON_H
# include "problem.h"

class OneDimensionNewton
{
private:
    Problem *myProblem;
    Data xpoint;
    double ypoint;
    int    iter;
    int     maxiters;
    double  estimateSecondDerivative(double x);
public:
    OneDimensionNewton(Problem *p);
    void    setMaxiters(int i);
    int     getMaxiters() const;
    bool Terminated();
    void Step();
    void Solve();
    Data getBestx();
    double getBesty();
    ~OneDimensionNewton();
};

#endif // ONEDIMENSIONNEWTON_H
